### Method

# WPEWebKit URIRequest get_http_headers

#### Declaration [src]

    SoupMessageHeaders*
    webkit_uri_request_get_http_headers (
      WebKitURIRequest* request
    )

#### Description [src]

Get the HTTP headers of a `WebKitURIRequest` as a `SoupMessageHeaders`.

#### Return value

Type: `SoupMessageHeaders`

A `SoupMessageHeaders` with the HTTP headers of `request` or `NULL` if `request` is not an HTTP request.

The returned data is owned by the instance.